Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.deployment
Class BeanXMLMetaData.ElementMetaData

    java.lang.Object
      org.jboss.webservice.deployment.BeanXMLMetaData.ElementMetaData

Enclosing class:
  BeanXMLMetaData

public static class BeanXMLMetaData.ElementMetaData
extends Object

An XML element description

Constructor Summary
`BeanXMLMetaData.ElementMetaData(String fieldName, javax.xml.namespace.QName xmlName, javax.xml.namespace.QName xmlType, javax.xml.namespace.QName itemXmlType, boolean asAttribute, boolean asContent)`

Method Summary
`String` | `getFieldName()`
`javax.xml.namespace.QName` | `getItemXmlType()`
`javax.xml.namespace.QName` | `getXmlName()`
`javax.xml.namespace.QName` | `getXmlType()`
`boolean` | `isAsAttribute()`
`boolean` | `isAsContent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanXMLMetaData.ElementMetaData

    public BeanXMLMetaData.ElementMetaData(String fieldName,
                                           javax.xml.namespace.QName xmlName,
                                           javax.xml.namespace.QName xmlType,
                                           javax.xml.namespace.QName itemXmlType,
                                           boolean asAttribute,
                                           boolean asContent)

Method Detail

### getFieldName

    public String getFieldName()

### getXmlName

    public javax.xml.namespace.QName getXmlName()

### getXmlType

    public javax.xml.namespace.QName getXmlType()

### getItemXmlType

    public javax.xml.namespace.QName getItemXmlType()

### isAsAttribute

    public boolean isAsAttribute()

### isAsContent

    public boolean isAsContent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.